<?
	# FBOARD ################################################

	# ϸ : lib/mail.php

	#  :  ߼  Լ 

	#   : 2001-08-31

	#########################################################

	$default_mime_type = "text/plain";

	function smtp_open($server, $port) 
	{ 
		global $SMTP_GLOBAL_STATUS; 

		$smtp = fsockopen($server, $port); 
		if ($smtp <= 0) 
			return 0; 

		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "2") 
			return 0; 

			return $smtp; 
	} 

	  
	function smtp_helo($smtp) 
	{ 
		global $SMTP_GLOBAL_STATUS; 

		fputs($smtp, "helo localhost\r\n"); 
		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "2") 
			return 0; 

			return 1; 
	} 
	  
	function smtp_ehlo($smtp) 
	{ 
		global $SMTP_GLOBAL_STATUS; 

		fputs($smtp, "helo localhost\r\n"); 
		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "2") 
			return 0; 

		return 1; 
	} 

	function smtp_mail_from($smtp, $from) 
	{ 
		global $SMTP_GLOBAL_STATUS; 

		fputs($smtp, "MAIL FROM: <$from>\r\n"); 
		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "2") return 0; 

		return 1; 
	} 
	  
	function smtp_rcpt_to($smtp, $to) 
	{ 
		global $SMTP_GLOBAL_STATUS; 

		fputs($smtp, "RCPT TO: <$to>\r\n"); 
		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "2") 
			return 0; 

		return 1; 
	} 

	function smtp_data($smtp, $from, $to, $subject, $body, $mime="",$name="") 
	{ 
		global $SMTP_GLOBAL_STATUS,$default_mime_type; 

		fputs($smtp, "DATA\r\n"); 
		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "3") 
			return 0; 

		if(!$mime)
			$mime = $default_mime_type;
		if(!$name)
			$name = $from;

		$t_date=getdate();
		$month=substr($t_date["month"],0,3);
		$day=substr($t_date["weekday"],0,3);
		$date=$day.", ".$t_date["mday"]." ".$month." ".$t_date["year"]." ".$t_date["hours"].":".$t_date["minutes"].":".$t_date["seconds"];
		fputs($smtp, "To: $to\r\n");
		fputs($smtp, "From:$name <$from>\r\n");
		fputs($smtp, "Reply-to: $from ($name)\r\n");
		fputs($smtp, "Mime-Version: 1.0\r\n"); 
		fputs($smtp, "Subject: $subject\r\n");     
		fputs($smtp, "Date: $date\r\n"); 
		fputs($smtp, "Content-type: $mime\r\n\r\n");
		fputs($smtp, "\n$body\r\n\r\n"); 
		fputs($smtp, ".\r\n"); 
		$line = fgets($smtp, 1024); 
		if (substr($line, 0, 1) <> "2") 
			return 0;  

		return 1; 
	} 
	  
	function smtp_quit($smtp) 
	{ 
		global $SMTP_GLOBAL_STATUS; 

		fputs($smtp, "QUIT\r\n"); 
		$line = fgets($smtp, 1024); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] = substr($line, 0, 1); 
		$SMTP_GLOBAL_STATUS[$smtp]["LASTRESULTTXT"] = substr($line, 0, 1024); 

		if ($SMTP_GLOBAL_STATUS[$smtp]["LASTRESULT"] <> "2") 
			return 0; 
		return 1; 
	}  


	function smtp_mail($server,$from,$to,$subject,$body,$mime="",$name="",$port="") 
	{ 
		global $default_mime_type;

		if(!$port)
			$port = 25;

		$err=$smtp=smtp_open($server,$port);
		if (!$err)
			return 0;
		$address=explode(";",$to);
		$address_count=count($address);
		for($i=0; $i<$address_count; $i++) 
		{
			$to=trim($address[$i]);
			$err=smtp_helo($smtp);
			if (!$err)
				return 0;
			$from=trim($from); 
			$to=trim($to);
			$subject=trim($subject);
			if(!$mime)
				$mime=$default_mime_type;
			$err=smtp_mail_from($smtp,$from);
			if (!$err)
				return 0;
			$err=smtp_rcpt_to($smtp,$to);
			if (!$err)
				return 0;

			$err=smtp_data($smtp,$from,$to,$subject,$body,$mime,$name);
			if (!$err)
				return 0;
		}
		smtp_quit($smtp);
		return 1;
	} 

	function send_mail($from,$to,$subject,$body,$mime="",$name="") 
	{ 
		global $default_mime_type;

		$result = mysql_query("select sendmail from bbs_config");
		$mail_program = mysql_fetch_row($result);
		$mail_program = $mail_program[0];

		if(isEmpty($mail_program))
			$mail_program = "/usr/sbin/sendmail";

		if(!$mime)
			$mime = $default_mime_type;
		if(!$name)
			$name = $from;

		if($fp = popen($mail_program,"w"))
		{
			fputs($fp, "To: $to\r\n");
			fputs($fp, "From:$name <$from>\r\n");
			fputs($fp, "Reply-to: $from ($name)\r\n");
			fputs($fp, "Subject: $subject\r\n");
			fputs($fp, "Content-type: $mime\r\n\r\n");
			fputs($fp, "$body\n\n\n"); 
			pclose($fp);

			return true;
		}
		return false;
	}

	function inner_mail($from,$to,$subject,$body,$mime="",$name="")
	{
		global $default_mime_type;
		if(!$mime)
			$mime = $default_mime_type;
		if(!$name)
			$name = $from;

		$to = str_replace(";",",",$to);
			
		$headers .= "From:$name <$from>\r\n";
		$headers .= "Reply-to: $from ($name)\r\n";
		$headers .= "Content-type: $mime\r\n\r\n";

		if(@mail($to,$subject,$body,$headers))
			return true;
		return false;
	}
?>