<?
	# FBOARD ################################################

	# ϸ : lib/sql.php

	#  : SQL

	#   : 2001-10-19

	#########################################################

	/*
		Խ  SQL
	*/

	// Խ 
	$sql[board_table] = "CREATE TABLE $table (
		  no int(20) unsigned DEFAULT '0' NOT NULL auto_increment,
		  writer varchar(40) DEFAULT '' NOT NULL,
		  nickname varchar(40) DEFAULT '' NOT NULL,
		  email varchar(55),
		  homepage varchar(80),
		  ip varchar(15),
		  password varchar(64),
		  subject text,
		  body text,
		  phase int(8) NOT NULL,
		  related int(20) NOT NULL,
		  parent int(20) NOT NULL,
		  level int(15) DEFAULT '0' NOT NULL,
		  depth int(10) DEFAULT '0' NOT NULL,
		  replymail char(1),
		  html char(1),
		  autolink char(1),
		  hide char(1),
		  members char(1) DEFAULT '0',		
		  view int(11) DEFAULT '0' NOT NULL,
		  vote int(11) DEFAULT '0' NOT NULL,
		  comments int(11) DEFAULT '0' NOT NULL,
		  site_link varchar(255),
		  file_link varchar(255),
		  category varchar(55),
		  ddate date DEFAULT '0000-00-00' NOT NULL,
		  dtime time DEFAULT '00:00:00' NOT NULL,
		  PRIMARY KEY (no),

		  KEY related (phase,related,level),
		  KEY writer (writer),
		  KEY phase (phase),
		  KEY parent (parent),
		  KEY depth (depth),
		  KEY view (view),
		  KEY vote (vote),
		  KEY comments (comments),
		  KEY ddate (ddate),
		  KEY dtime (dtime),

		  INDEX idx (phase,related,level)
		);";

	// Խ ͸ BBS_ADMIN  
	$sql[board_data] = "insert bbs_admin(groupof,id,name,skin,list_per_page,pages) values('$groupof','$table','$table','board','20','5')";

	// Խ PHASE ͸ BBS_PHASES 
	$sql[phase_data] = "insert bbs_phases(related_bbs,phase,count) values('$table','1','0')";

	// ڸƮ ̺ 
	$sql[comment] = "CREATE TABLE ${table}_comment (
			  no int(11) NOT NULL auto_increment,
			  parent int(11) NOT NULL default '0',
			  password varchar(64) default NULL,
			  writer varchar(20) NOT NULL default '',
			  nickname varchar(20) NOT NULL default '',
			  comment text NOT NULL,
			  ddate date NOT NULL default '0000-00-00',
			  dtime time NOT NULL default '00:00:00',
			  members char(1) default NULL,

			  PRIMARY KEY (no),

			  KEY parent (parent)
			);";

	// ⺻ īװ .
	$sql[category] = "insert bbs_category(name,related) values('ETC','$table')";




	/* 
		׷  SQL
	*/

	// ׷  
	$sql[group_data] = "insert bbs_group(name,parent,id,head,foot,head_link,foot_link) values('$name','$parent_group','$name','$parent_setting[head]','$parent_setting[foot]','$parent_setting[head_link]','$parent_setting[foot_link]')";

	$sql[group_table] = "CREATE TABLE bbs_g_${name} (
				id varchar(20) NOT NULL,
				rank char(1) NOT NULL,
				primary KEY (id),
				KEY rank (id,rank)
			);";




	######################## α׷ ġ Ǵ ̺ ##############################

	$sql[bbs_admin] = "CREATE TABLE bbs_admin (
		  groupof varchar(20) DEFAULT 'top' NOT NULL,
		  id varchar(20) DEFAULT '' NOT NULL,
		  sysop varchar(20) DEFAULT 'root' NOT NULL,
		  skin varchar(255),
		  head text,
		  foot text,
		  head_link varchar(255),
		  foot_link varchar(255),
		  bgcolor varchar(18) DEFAULT 'white' NOT NULL,
		  background varchar(255),
		  width smallint(4) DEFAULT '95' NOT NULL,
		  subject_length smallint(5) DEFAULT '0' NOT NULL,
		  list_per_page tinyint(3) DEFAULT '20' NOT NULL,
		  pages tinyint(2) DEFAULT '5' NOT NULL,
		  use_category char(1) DEFAULT '0' NOT NULL,
		  use_html char(1) DEFAULT '0' NOT NULL,
		  use_comment char(1) DEFAULT '1' NOT NULL,
		  use_filtering char(1) DEFAULT '1' NOT NULL,
		  use_sitelink char(1) DEFAULT '0' NOT NULL,
		  use_filelink char(1) DEFAULT '0' NOT NULL,
		  use_upload char(1) DEFAULT '0' NOT NULL,
		  use_cart char(1) DEFAULT '1' NOT NULL,
		  use_ip char(1) DEFAULT '1'NOT NULL,
		  use_list char(1) DEFAULT '1'NOT NULL,
		  use_vote char(1) DEFAULT '0' NOT NULL,
		  use_fmail char(1) DEFAULT '1' NOT NULL,
		  use_fileview char(1) DEFAULT '0' NOT NULL,
		  grant_list char(1) DEFAULT '0' NOT NULL,
		  grant_read char(1) DEFAULT '0' NOT NULL,
		  grant_write char(1) DEFAULT '0' NOT NULL,
		  grant_reply char(1) DEFAULT '0' NOT NULL,
		  grant_comment char(1) DEFAULT '0' NOT NULL,
		  grant_allhtml char(1) DEFAULT '3' NOT NULL,
		  grant_notice char(1) DEFAULT '3' NOT NULL,
		  lately tinyint(2) DEFAULT '12' NOT NULL,
		  name varchar(255),
		  grant_download char(1) DEFAULT '0' NOT NULL,
		  badwords text,
		  grant_delete char(1) DEFAULT '4' NOT NULL,
		  papering tinyint(3) DEFAULT '0' NOT NULL,
		  deny_ext varchar(255) DEFAULT 'php,phtm,jsp,cgi,shtm,htm,asp,cfm,py',
		  allow_ext varchar(255),
		  grant_fullupload char(1) DEFAULT '4' NOT NULL,
		  max_filesize int(11) DEFAULT '0' NOT NULL,
		  PRIMARY KEY (id)
		);";

	$sql[bbs_category] = "CREATE TABLE bbs_category (
		  name varchar(55) DEFAULT '' NOT NULL,
		  related varchar(20) DEFAULT '' NOT NULL,
		  no int(11) DEFAULT '0' NOT NULL,
		  PRIMARY KEY (name,related)
		);";
	
	$sql[bbs_config] = "CREATE TABLE bbs_config (
		  site_root varchar(55),
		  smtp varchar(55),
		  site_name varchar(55),
		  sendmail varchar(60) DEFAULT '/usr/sbin/sendmail',
		  mail_method char(1) DEFAULT '0' NOT NULL,
		  smtp_port smallint(5) DEFAULT '25' NOT NULL,
		  download_method char(1) DEFAULT '0' NOT NULL,
		  join_greeting text
		);";

	$sql[bbs_config_data] = "INSERT INTO bbs_config VALUES ('','','','/usr/sbin/sendmail','0',25,'0','Thanks to join us !!!')";

	$sql[bbs_current_login_member] = "CREATE TABLE bbs_current_login_member (
		  id varchar(20) DEFAULT '' NOT NULL,
		  current int(14),
		  PRIMARY KEY (id)
		);";

	$sql[bbs_files] = "CREATE TABLE bbs_files (
		  no int(11) NOT NULL auto_increment,
		  name varchar(255) DEFAULT '' NOT NULL,
		  size int(11),
		  related_bbs varchar(20) DEFAULT '' NOT NULL,
		  article int(11) DEFAULT '0' NOT NULL,
		  seq int(3),
		  download int(11) DEFAULT '0',
		  type varchar(255) DEFAULT '' NOT NULL,
		  PRIMARY KEY (no)
		);";

	$sql[bbs_grant] = "CREATE TABLE bbs_grant (
		  rank char(1) DEFAULT '' NOT NULL,
		  name varchar(55),
		  PRIMARY KEY (rank)
		);";

	$sql[bbs_grant_data] = "INSERT INTO bbs_grant VALUES ('0','guest'), ('1','semi member'), ('2','member'), ('3','power member'), ('4','sysop'), ('5','group manager'), ('6','root')";

	$sql[bbs_group] = "CREATE TABLE bbs_group (
		  name varchar(255) DEFAULT '' NOT NULL,
		  parent varchar(20),
		  id varchar(20) DEFAULT '' NOT NULL,
		  default_level char(1) DEFAULT '1' NOT NULL,
		  auth char(1) DEFAULT '1' NOT NULL,
		  head text,
		  foot text,
		  head_link varchar(255),
		  foot_link varchar(255),
		  denied_ip text,
		  access_level char(1) DEFAULT '0' NOT NULL,
		  grant_make_child char(1) DEFAULT '5' NOT NULL,
		  allow_ip text,
		  allow_parent char(1) DEFAULT '' NOT NULL,
		  PRIMARY KEY (id)
		);";

	$sql[bbs_group_data] = "INSERT INTO bbs_group VALUES ('TOP','','top','1','1','','','','','','0','5','','')";

	$sql[bbs_member] = "CREATE TABLE bbs_member (
		  id varchar(20) DEFAULT '' NOT NULL,
		  password varchar(255) DEFAULT '' NOT NULL,
		  name varchar(20) DEFAULT '' NOT NULL,
		  birth	date DEFAULT '0000-00-00' NOT NULL,
		  email varchar(55) DEFAULT '' NOT NULL,
		  homepage varchar(55),
		  icq varchar(10),
		  aim varchar(30),
		  msn varchar(55),
		  maillist_join char(1) DEFAULT '0' NOT NULL,
		  photo varchar(255),
		  introduce text,
		  show_private char(1) DEFAULT '1' NOT NULL,
		  rank char(1) DEFAULT '1' NOT NULL,
		  sex char(1),
		  joiningdate date DEFAULT '0000-00-00' NOT NULL,
		  point int(8) DEFAULT '0' NOT NULL,
		  buddy_list text,
		  lunar char(1) DEFAULT '0' NOT NULL,
		  groups text,
		  PRIMARY KEY (id)
		);";

	$sql[bbs_memo] = "CREATE TABLE bbs_memo (
		  receiver varchar(20) DEFAULT '' NOT NULL,
		  sender varchar(20) DEFAULT '' NOT NULL,
		  memo text,
		  senddate datetime,
		  subject varchar(255),
		  see char(1) DEFAULT '0' NOT NULL,
		  no int(11) unsigned NOT NULL auto_increment,
		  members char(1),
		  html char(1),
		  PRIMARY KEY (no)
		);";

	$sql[bbs_phases] = "CREATE TABLE bbs_phases (
		  related_bbs varchar(20) DEFAULT '' NOT NULL,
		  phase int(8) DEFAULT '1' NOT NULL,
		  count int(20) DEFAULT '0' NOT NULL,
		  KEY idx (related_bbs,phase,count)
		);";
?>