function getReal(el, type, value) 
{
	temp = el;
	while ((temp != null) && (temp.tagName != "BODY")) 
	{
		if (eval("temp." + type) == value) 
		{
			el = temp;
			return el;
		}
		temp = temp.parentElement;
	}
	return el;
}

function doOver() 
{
	var toEl = getReal(window.event.toElement, "className", "coolButton");
	var fromEl = getReal(window.event.fromElement, "className", "coolButton");
	if (toEl == fromEl) return;
	var el = toEl;

	var cDisabled = el.cDisabled;

	cDisabled = (cDisabled != null);
	
	if (el.className == "coolButton")
		el.onselectstart = new Function("return false");
	
	if ((el.className == "coolButton") && !cDisabled) 
	{
		makeRaised(el);
		makeGray(el,false);
	}
}

function doOut() 
{
	var toEl = getReal(window.event.toElement, "className", "coolButton");
	var fromEl = getReal(window.event.fromElement, "className", "coolButton");
	if (toEl == fromEl) return;
	var el = fromEl;

	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null);

	var cToggle = el.cToggle;
	toggle_disabled = (cToggle != null);

	if (cToggle && el.value) 
	{
		makePressed(el);
		makeGray(el,true);
	}
	else if ((el.className == "coolButton") && !cDisabled) 
	{
		makeFlat(el);
		makeGray(el,true);
	}

}

function doDown() 
{
	el = getReal(window.event.srcElement, "className", "coolButton");
	
	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null);
	
	if ((el.className == "coolButton") && !cDisabled) 
	{
		makePressed(el);
	}
}

function doUp() 
{
	el = getReal(window.event.srcElement, "className", "coolButton");
	
	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null);
	
	if ((el.className == "coolButton") && !cDisabled) 
	{
		makeRaised(el);
	}
}

function findChildren(el, type, value) 
{
	var children = el.children;
	var tmp = new Array();
	var j=0;
	
	for (var i=0; i<children.length; i++) 
	{
		if (eval("children[i]." + type + "==\"" + value + "\"")) 
		{
			tmp[tmp.length] = children[i];
		}
		tmp = tmp.concat(findChildren(children[i], type, value));
	}
	
	return tmp;
}

function disable(el) 
{

	if (document.readyState != "complete") 
	{
		window.setTimeout("disable(" + el.id + ")", 100);
		return;
	}
	
	var cDisabled = el.cDisabled;
	
	cDisabled = (cDisabled != null); 

	if (!cDisabled) 
	{
		el.cDisabled = true;
		
		el.innerHTML = '<span style="background: black; width: 100%; height: 100%; text-align: center;">' +
						'<span style="filter:Mask(Color=#efefef) DropShadow(Color=white, OffX=1, OffY=1, Positive=0); height: 100%; width: 100%%; text-align: center;">' +
						el.innerHTML +
						'</span>' +
						'</span>';

		if (el.onclick != null) 
		{
			el.cDisabled_onclick = el.onclick;
			el.onclick = null;
		}
	}
}

function enable(el) 
{
	var cDisabled = el.cDisabled;
	
	cDisabled = (cDisabled != null); 
	
	if (cDisabled) 
	{
		el.cDisabled = null;
		el.innerHTML = el.children[0].children[0].innerHTML;

		if (el.cDisabled_onclick != null) 
		{
			el.onclick = el.cDisabled_onclick;
			el.cDisabled_onclick = null;
		}
	}
}

function addToggle(el) 
{
	var cDisabled = el.cDisabled;
	
	cDisabled = (cDisabled != null);
	
	var cToggle = el.cToggle;
	
	cToggle = (cToggle != null); 

	if (!cToggle && !cDisabled) 
	{
		el.cToggle = true;
		
		if (el.value == null)
			el.value = 0;		
		
		if (el.onclick != null)
			el.cToggle_onclick = el.onclick;
		else 
			el.cToggle_onclick = "";

		el.onclick = new Function("toggle(" + el.id +"); " + el.id + ".cToggle_onclick();");
	}
}

function removeToggle(el) 
{
	var cDisabled = el.cDisabled;
	
	cDisabled = (cDisabled != null); 
	
	var cToggle = el.cToggle;
	
	cToggle = (cToggle != null);
	
	if (cToggle && !cDisabled) 
	{
		el.cToggle = null;

		if (el.value) 
		{
			toggle(el);
		}

		makeFlat(el);
		
		if (el.cToggle_onclick != null) 
		{
			el.onclick = el.cToggle_onclick;
			el.cToggle_onclick = null;
		}
	}
}

function toggle(el) 
{
	el.value = !el.value;
	
	if (el.value)
		el.style.background = "URL(images/tileback.gif)";
	else
		el.style.backgroundImage = "";
}


function makeFlat(el) 
{
	with (el.style) 
	{
		background = "";
		border = "1px solid black";
		padding      = "3px";
		paddingLeft  = "10px";
	}
}

function makeRaised(el) 
{
	with (el.style) 
	{
		borderLeft   = "1px solid white";
		borderRight  = "1px solid gray";
		borderTop    = "1px solid white";
		borderBottom = "1px solid gray";
		padding      = "3px";
		paddingLeft  = "10px";
	}
}

function makePressed(el) 
{
	with (el.style) 
	{
		borderLeft   = "1px solid gray";
		borderRight  = "1px solid white";
		borderTop    = "1px solid gray";
		borderBottom = "1px solid white";
		paddingTop    = "4px";
		paddingLeft   = "14px";
		paddingBottom = "2px";
		paddingRight  = "2px";
	}
}

function makeGray(el,b) 
{
	var filtval;
	
	if (b)
		filtval = "gray()";
	else
		filtval = "";

	var imgs = findChildren(el, "tagName", "IMG");
		
	for (var i=0; i<imgs.length; i++) 
	{
		imgs[i].style.filter = filtval;
	}

}
	
function initCoolButtons() 
{
	document.onmouseover = doOver;
	document.onmouseout  = doOut;
	document.onmousedown = doDown;
	document.onmouseup   = doUp;
}

initCoolButtons();